Package org.eclipse.ui.part

## Class MultiPageEditorActionBarContributor

- java.lang.Object
- - org.eclipse.ui.part.EditorActionBarContributor
  - - org.eclipse.ui.part.MultiPageEditorActionBarContributor

All Implemented Interfaces:
  `IEditorActionBarContributor`

    public abstract class MultiPageEditorActionBarContributor
    extends EditorActionBarContributor

Abstract base class for managing the installation/deinstallation of global actions for multi-page editors.

Subclasses must implement `setActivePage`, and may reimplement any of the following methods:

- `contributeToMenu` - reimplement to contribute to menu
- `contributeToToolBar` - reimplement to contribute to tool bar
- `contributeToStatusLine` - reimplement to contribute to status line

### Constructor Summary

Constructors
`protected` `MultiPageEditorActionBarContributor()` Creates a multi-page editor action contributor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `setActiveEditor​(IEditorPart part)` Sets the active editor for the contributor.
`abstract void` `setActivePage​(IEditorPart activeEditor)` Sets the active page of the the multi-page editor to be the given editor.

### Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor

`contributeToCoolBar, contributeToMenu, contributeToStatusLine, contributeToToolBar, dispose, getActionBars, getPage, init, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiPageEditorActionBarContributor

    protected MultiPageEditorActionBarContributor()

Creates a multi-page editor action contributor.

### Method Detail

#### setActiveEditor

    public void setActiveEditor​(IEditorPart part)

Description copied from class: `EditorActionBarContributor`
Sets the active editor for the contributor.

The `EditorActionBarContributor` implementation of this method does nothing. Subclasses may reimplement. This generally entails disconnecting from the old editor, connecting to the new editor, and updating the actions to reflect the new editor.

Specified by:
  `setActiveEditor` in interface `IEditorActionBarContributor`
Overrides:
  `setActiveEditor` in class `EditorActionBarContributor`
Parameters:
  `part` - the new target editor

#### setActivePage

    public abstract void setActivePage​(IEditorPart activeEditor)

Sets the active page of the the multi-page editor to be the given editor. Redirect actions to the given editor if actions are not already being sent to it.

This method is called whenever the page changes. Subclasses must implement this method to redirect actions to the given editor (if not already directed to it).

Parameters:
  `activeEditor` - the new active editor, or `null` if there is no active page, or if the active page does not have a corresponding editor